/* Module as.h 
 * Purpose:     include file for AS lookups
 * Author:	Rene Wilhelm
 */ 

#include <netdb.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>

#define RR_SERVER "riswhois.ripe.net"
#define RR_SERVICE "whois"


/*
 * socket related things are global to allow
 * reconnects in signal handler
 */

int RRsock;
struct sockaddr_in RRsockaddr;

void RRopen(char *server, char* service);
void RRconnect();

char *get_origin(char *net, int ip6flag);
